%define		plugin	check_ftp_fully
Summary:	Nagios plugin to check FTP transfers
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca ...
Name:		nagios-plugin-%{plugin}
Version:	0.1
Release:	3
License:	GPL v2+
Group:		Networking
Source0:	http://www.deathwing00.org/nagios/check_ftp_fully
# Source0-md5:	821dbac0cc911e8250e41d7cca56cc62
Source1:	%{plugin}.cfg
Patch0:		args.patch
Patch1:		bashisms.patch
Patch2:		get-path.patch
URL:		http://exchange.nagios.org/directory/Plugins/Network-Protocols/FTP/check_ftp_fully/details
Requires:	lftp
Requires:	mktemp >= 1.5
Requires:	nagios-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		nrpeddir	/etc/nagios/nrpe.d
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
This script uses lftp, a sophisticated ftp/http client, to check not
only that a give FTP account is accessible, but that it is also able
to list files and directories, to get and put files and to delete
files. This simple script is fast, easy to configure, flexible and can
be extended easily.

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Mon Sep 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_ftp_fully.git;a=log;h=master

* Mon Sep 28 2015 Elan Ruusamäe <glen@delfi.ee> b061976
- use tempdir for work files

* Fri Sep 25 2015 Elan Ruusamäe <glen@delfi.ee> e5787db
- fix fetch when cwd=/

* Thu Mar 26 2015 Elan Ruusamäe <glen@delfi.ee> bf8c4ca
- adjust defaults

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> eaf349f
- fix bashisms

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> e33878f
- fix usage error

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> b6da6d5
- nonstandard args usage, so do not pass any predefined macro

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> a1a5c4b
- fix command template

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> f6a196c
- new

